Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Aug 2022 22:02:08 +0300

> From: Tomas Hlavaty <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 25 Aug 2022 20:21:43 +0200
> 
> On Thu 25 Aug 2022 at 09:42, Eli Zaretskii <[email-masked]> wrote:
> >> This font size change happens on demand, when a key is pressed.
> >
> > Do you really need to do this frequently?  If so, why is that? why not
> > set the size that is convenient for you, and more or less forget about
> > it?
> 
> Frequency is not that relevant.  Convenience is relevant.  It should
> happen after key press.

This is an exaggeration, and as such, not useful.  It is unreasonable
to expect everything be done at a keypress.  Infrequent operations can
be less convenient than frequent ones, because that inconvenience
basically happens once in a blue moon.

> It is not something I invented, it is important use-case and pretty
> much essential part of GUI programs these days.  Try for example C-+
> and C-- in firefox or xfce4-terminal.

When I do that in Firefox, the displayed text is resized, but not the
menus or the tool bar.

> > I guess I don't understand why one would need to change the size
> > frequently, especially the size of the menu items, which basically
> > stay unchanged.
> 
> We already discussed several issues with the X resources based text:
> 
> - The font configuration is alien to emacs with many issues and downsides.
> - It is not possible to change it dynamically.

That's nowhere near a catastrophe for such an infrequent setting.